Name:          python-pep8
Version:       1.5.5
Release:       1mamba
Summary:       Python style guide checker
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://github.com/jcrocholl/pep8
Source:        http://pypi.python.org/packages/source/p/pep8/pep8-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: libpython-devel
Requires:      python >= %python_version
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
pep8 is a tool to check your Python code against some of the style conventions in PEP 8.

%prep
%setup -q -n pep8-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --single-version-externally-managed \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files -f %{name}.filelist
%defattr(-,root,root)
%doc CHANGES.txt README.rst

%changelog
* Fri Apr 11 2014 Automatic Build System <autodist@mambasoft.it> 1.5.5-1mamba
- automatic update by autodist

* Fri Jul 05 2013 Automatic Build System <autodist@mambasoft.it> 1.4.6-1mamba
- automatic version update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.5-2mamba
- python 2.7 mass rebuild

* Tue Mar 12 2013 Automatic Build System <autodist@mambasoft.it> 1.4.5-1mamba
- automatic version update by autodist

* Fri Mar 01 2013 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Wed Jan 23 2013 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Wed Dec 26 2012 Automatic Build System <autodist@mambasoft.it> 1.4-1mamba
- automatic version update by autodist

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic version update by autodist

* Thu Apr 26 2012 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Wed Jul 06 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.6.1-1mamba
- package created by autospec
